# Uses of Interface
org.eclipse.birt.report.model.api.CommandStack

Packages that use CommandStack
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of CommandStack in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return CommandStack
Modifier and Type
Method
Description
`final CommandStack`
ModuleHandleImpl.`getCommandStack()`
Returns the command stack that manages undo/redo operations for the design.